<?php
namespace nur\v\model;

/**
 * Class INavbarManager: interface pour un gestionnaire de navigation
 */
interface INavbarManager extends ITagsManager {
  /**
   * tester si on est dans une barre de navigation (i.e la méthode
   * {@link start()} a été appelée
   */
  function started(): bool;

  /** commencer la barre de navigation */
  function start($options=null): array;

  /** terminer la barre de navigation */
  function end(): array;

  /** commencer une section de navigation et rajouter les éléments spécifiés */
  function startNav($options=null): array;

  /** ajouter un élément à la section de navigation */
  function navItem($item): array;

  /** terminer explicitement la section de navigation en cours */
  function endNav(): array;
}
